package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.entity.TBSyncTask;
import com.qmth.teachcloud.common.entity.SysUser;

/**
 * 同步数据到云阅卷 服务类
 */
public interface DataSyncService {
    void syncToCloudReview();

    void syncExamAndStudentAndCard(Long relateId, String thirdRelateName, Long examEndTime, TBSyncTask tbSyncTask, SysUser sysUser);

    void syncPaperStructureAndGroup(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncPaperAndAnswer(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);

    void syncObjectiveStructure(ExamPaperStructure examPaperStructure, TBSyncTask tbSyncTask);
}
